admin/environment/php extension/zip

Revision as of 14:47, 5 November 2008 by aMr whatever!! (talk | contribs)

Jump to: navigation, search

Note: You are currently viewing documentation for Moodle 2.2. Up-to-date documentation for the latest stable version is available here: admin/environment/php extension/zip.

The Zip PHP extension is required by Moodle, info-ZIP binaries or PclZip library are not used anymore. This extension enables you to transparently read or write ZIP compressed archives and the files inside them.


Installation For the Zip file functions to work on your server, these libraries must be installed:

•The ZZIPlib library by Guido Draheim: Download the ZZIPlib library •The Zip PELC extension: Download the Zip PELC extension

Installation on Linux Systems

PHP 5+: Zip functions and the Zip library is not enabled by default and must be downloaded from the links above. Use the --with-zip=DIR configure option to include Zip support.

Installation on Windows Systems

PHP 5+: Zip functions is not enabled by default, so the php_zip.dll and the ZZIPlib library must be downloaded from the link above. php_zip.dll must be enabled inside of php.ini.

To enable any PHP extension, the PHP extension_dir setting (in the php.ini file) should be set to the directory where the PHP extensions are located. An example extension_dir value is c:\php\ext.